Subject: Re: [bug#38455] [PATCH] doc: Mention how to test against make / guix pull breakage.

From: zimoun <[email-masked]>
Date: Mon, 2 Dec 2019 13:32:50 +0100

On Mon, 2 Dec 2019 at 13:16, Pierre Neidhardt <[email-masked]> wrote:
>
> I'm actually not sure about one thing: Does `guix pull` catch the errors
> of `make`?

What is the point of this advice? Check if "guix pull" is broken,
right? I think "guix pull -n --url=foo" does the job, isn't it?

> I believe that make can output useful warnings, which maybe not bother
> `guix pull`, but maybe I'm wrong.

This is another tips? Reading all the points, I feel that another
point about checking the "make" warnings and/or running the test suite
should be added. A good indication is that there is no link to
"Running the Test Suite".

What do you think?